[tech] mussel upgrades and koha

David Adam zanchey at ucc.gu.uwa.edu.au
Sun Feb 22 14:28:36 WST 2009


On Sat, 21 Feb 2009, James Andrewartha wrote:
> 
> As you may have noticed due to the various things that broke today, mussel 
> got upgraded to lenny. [MSH] accidentally upgraded a few packages to lenny 
> yesterday, but what precipitated the upgrade was [PXY] looking into Koha's 
> malfunctioning and finding the errors were "fetchrow failed: fetch() 
> without execute()", and hypothesised that it was from an old version of 
> Koha talking to a new version of MySQL. So I embarked upon a full upgrade 
> of mussel so I could install the latest Koha.
> <snip>
> If you notice anything still broken, please email tech, talk to someone on 
> #ucc, or file a ticket at https://secure.ucc.asn.au/glpi/

RADIUS is broken, which means the PPTP VPN (pptp.ucc/snap.ucc) refuses to 
authenticate users. I'm not really sure what's going on - the proximal 
cause appears to be:

---
rlm_eap: Ignoring EAP-Type/peap because we do not have OpenSSL support.
 Module: Linked to sub-module rlm_eap_mschapv2
 Module: Instantiating eap-mschapv2
   mschapv2 {
        with_ntdomain_hack = no
   }
rlm_eap: No such sub-type for default EAP type peap
---

but PEAP was apparently disabled with OpenSSL removal in the Debian 
version 1.0.0-1, and we've been running 1.1.3-3 successfully for a while.

Not really sure what's going on here, and I don't have a huge amount of 
time to fiddle around. RADIUS is pretty nasty and FreeRADIUS has a 
sprawling and complex set of configuration files but if anyone has any 
suggestsion or wants to take a crack let me know.

David Adam
UCC Wheel Member
zanchey at ucc.gu.uwa.edu.au


More information about the tech mailing list